package models.services
import models._
import play.api.i18n._
import play.api.mvc.MultipartFormData.FilePart
import play.api.libs.Files.TemporaryFile
import java.io.File

case class AtachManager() {
  def uploadAtach(atach:FilePart[TemporaryFile], grpName:String, partId:Long, notifyId:Long, replyId:Long) = {
      val filename = atach.filename
      val contentType = atach.contentType
      var folder = Messages("atach.folder")
      if(!folder.endsWith("/")) {folder = folder.concat("/")}
      val url = folder + filename
      atach.ref.moveTo(new File(url), true)
      PartsListDb.atachs.insert(Atach(contentType.get, filename, grpName, partId, notifyId, replyId))
  }
}